
class HdaAppPbaController < ApplicationController
  def initialize
    @items_per_page = 15
  end

  def index
    HdaAppPbaBackup.refresh_backups
    list
  end

  def list
    # this is a standard HDA variable, it shows to the right of
    # the logo
    @page_title = "Personal Backup"

    sort = case params['sort']
           when "name"  then "name"
           when "time" then "time"
           when "disk_size" then "disk_size"
           when "raw_size" then "raw_size"
           when "name_reverse" then "name DESC"
           when "time_reverse" then "time DESC"
           when "disk_size_reverse" then "disk_size DESC"
           when "raw_size_reverse" then "raw_size DESC"
	   else "time DESC"
           end

    conditions = ["name LIKE ?", "%#{params[:query]}%"] unless params[:query].nil?

    @full_count = HdaAppPbaBackup.count
    @total = HdaAppPbaBackup.count(:conditions => conditions)
    @items_pages, @items = paginate :hda_app_pba_backups,
				:order => sort,
				:conditions => conditions,
				:per_page => @items_per_page

    if request.xml_http_request?
      render :partial => "items_list", :layout => false
    end

  end

  def delete
    begin
      unless params[:id].nil?
        HdaAppPbaBackup.transaction do
          backup = HdaAppPbaBackup.find(params[:id])
          # FIXME: delete the backup here!
          backup.remove_backup
          # backup.destroy
        end
      end
    rescue
      logger.warn("cannot delete backup " + params[:id].to_s + "!")
    end
    index
  end

end

